Commit 9ac419d1 authored by David Faure's avatar David Faure

Fix compilation with Qt 5.15

We shouldn't have these in stable branches...

CCMAIL: montel@kde.org
parent 6bb91961
......@@ -31,9 +31,6 @@ include(KDECMakeSettings)
add_definitions(${QT_DEFINITIONS})
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
add_definitions(-DMAKE_KDEGAMESPRIVATE_LIB)
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
endif()
add_definitions(-DTRANSLATION_DOMAIN="libkdegames5")
include_directories(${CMAKE_SOURCE_DIR}/includes)
......@@ -88,9 +85,6 @@ set(KGAUDIO_BACKEND openal)
set(KGAUDIO_BACKEND_OPENAL TRUE) # for configure_file() below
configure_file(libkdegames_capabilities.h.in ${CMAKE_CURRENT_BINARY_DIR}/libkdegames_capabilities.h)
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
endif()
########### next target ###############
#if (${KF5Config_VERSION} STRGREATER "5.56.0")
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment